Bug 1289852 - Tier daemon should not attempt to promote/demote split brain files
Tier daemon should not attempt to promote/demote split brain files
Status: POST
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nithya Balachandran
krishnaram Karthick
tier-interops
:
Depends On: 1306241
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 02:26 EST by RajeshReddy
Modified: 2016-12-27 01:45 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2015-12-09 02:26:58 EST
Description of problem:
==============
Files are in split-brain, Tier daemon should not promote/demote these files 

Version-Release number of selected component (if applicable):
================
glusterfs-server-3.7.5-10


How reproducible:


Steps to Reproduce:
==============
1. Create 2x2 volume and attach 2x2 tier 
2. Mount the volume on client using FUSE and create directory and files 
3. Bring down replica brick and do IO and then brick back the down brick and bring down other replica brick and do IO and make sure file is in split brain 

Actual results:


Expected results:
============
Once file is in split brain, promotion and demotion of these files 


Additional info:
===========
[root@rhs-client19 ~]# gluster vol info test_tier 
 
Volume Name: test_tier
Type: Tier
Volume ID: 9bca8ffb-d47c-4636-95ab-2cfc58da422e
Status: Started
Number of Bricks: 8
Transport-type: tcp
Hot Tier :
Hot Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick1: rhs-client19.lab.eng.blr.redhat.com:/rhs/brick5/test_tier_hot4
Brick2: rhs-client18.lab.eng.blr.redhat.com:/rhs/brick5/test_tier_hot4
Brick3: rhs-client19.lab.eng.blr.redhat.com:/rhs/brick4/test_tier_hot3
Brick4: rhs-client18.lab.eng.blr.redhat.com:/rhs/brick4/test_tier_hot3
Cold Tier:
Cold Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick5: rhs-client18.lab.eng.blr.redhat.com:/rhs/brick7/test_tier_hot1
Brick6: rhs-client19.lab.eng.blr.redhat.com:/rhs/brick7/test_tier_hot1
Brick7: rhs-client18.lab.eng.blr.redhat.com:/rhs/brick6/test_tier_hot2
Brick8: rhs-client19.lab.eng.blr.redhat.com:/rhs/brick6/test_tier_hot2
Options Reconfigured:
cluster.tier-mode: test
features.ctr-enabled: on
performance.readdir-ahead: on

[root@rhs-client19 ~]# gluster vol heal test_tier info split-brain
Brick rhs-client19.lab.eng.blr.redhat.com:/rhs/brick5/test_tier_hot4
Number of entries in split-brain: 0

Brick rhs-client18.lab.eng.blr.redhat.com:/rhs/brick5/test_tier_hot4
Number of entries in split-brain: 0

Brick rhs-client19.lab.eng.blr.redhat.com:/rhs/brick4/test_tier_hot3
/afr/file1
/afr/file2
Number of entries in split-brain: 2

Brick rhs-client18.lab.eng.blr.redhat.com:/rhs/brick4/test_tier_hot3
/afr/file2
/afr/file1
Number of entries in split-brain: 2

Brick rhs-client18.lab.eng.blr.redhat.com:/rhs/brick7/test_tier_hot1
Number of entries in split-brain: 0

Brick rhs-client19.lab.eng.blr.redhat.com:/rhs/brick7/test_tier_hot1
Number of entries in split-brain: 0

Brick rhs-client18.lab.eng.blr.redhat.com:/rhs/brick6/test_tier_hot2
Number of entries in split-brain: 0

Brick rhs-client19.lab.eng.blr.redhat.com:/rhs/brick6/test_tier_hot2
Number of entries in split-brain: 0
Comment 2 RajeshReddy 2015-12-09 03:41:32 EST
sosreport available @/home/repo/sosreports/bug.1289852 on rhsqe-repo.lab.eng.blr.redhat.com
Comment 9 Atin Mukherjee 2016-09-06 03:20:01 EDT
Upstream mainline patch :
http://review.gluster.org/#/c/13425 (merged)
http://review.gluster.org/#/c/15177/ (under review)

Note You need to log in before you can comment on or make changes to this bug.